Bug 853074 - authconfig backup/restore does not work for --enableshadow and --disableshadow
authconfig backup/restore does not work for --enableshadow and --disableshadow
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: authconfig (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tomas Mraz
David Spurek
:
Depends On: 852997
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 08:53 EDT by Patrik Kis
Modified: 2015-03-02 00:27 EST (History)
2 users (show)

See Also:
Fixed In Version: authconfig-6.2.4-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 852997
Environment:
Last Closed: 2014-06-13 08:05:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrik Kis 2012-08-30 08:53:32 EDT
+++ This bug was initially created as a clone of Bug #852997 +++

Description of problem:
Authconfig backup/restore does not work for --enableshadow and --disableshadow.
Neither --restorelastbackup nor --savebackup/--restorebackup do their job.
Not all options were tested but --enablenis seems working.
The man page says nothing about exceptions in backup/restore.

Version-Release number of selected component (if applicable):
authconfig-6.1.12-10.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Do a backup
# authconfig --savebackup testback
# sum /etc/shadow* /etc/passwd*
36542     2 /etc/shadow
61955     2 /etc/shadow-
23868     2 /etc/passwd
08119     3 /etc/passwd-

2. Change the shadow configuration
# authconfig --disableshadow --update
# sum /etc/shadow* /etc/passwd*
61955     2 /etc/shadow-
08119     3 /etc/passwd
23868     2 /etc/passwd-

3. Try to restore
# authconfig --restorelastbackup
# echo $?
0
# sum /etc/shadow* /etc/passwd*
61955     2 /etc/shadow-
08119     3 /etc/passwd
23868     2 /etc/passwd-
# 
# authconfig --restorebackup testback
# sum /etc/shadow* /etc/passwd*
61955     2 /etc/shadow-
08119     3 /etc/passwd
23868     2 /etc/passwd-

Actual results:
The original configuration is not restored.

Expected results:
All changes are restored.

Workaround:
# authconfig --enableshadow --update
# sum /etc/shadow* /etc/passwd*
36542     2 /etc/shadow
61955     2 /etc/shadow-
23868     2 /etc/passwd
08119     3 /etc/passwd-
Comment 1 Patrik Kis 2012-08-30 09:22:09 EDT
The symptoms and the reproducer is the same as above, just the component version changed:
authconfig-6.2.3-1.el7.x86_64
Comment 4 Ludek Smid 2014-06-13 08:05:04 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.